<?php

	/*
	Cria e configura o arquivo REST.ini 
	*/

	$webserver_url = $GLOBALS['phpgw_info']['server']['webserver_url'];
	$webserver_url = ( !empty($webserver_url) ) ? $webserver_url : '/';
	
	if(strrpos($webserver_url,'/') === false || strrpos($webserver_url,'/') != (strlen($webserver_url)-1))
	{
		$webserver_url .= '/';
	}
	
	$config = array();
	$config['baseUri'] = 'http://'.$_SERVER['HTTP_HOST'].$webserver_url."rest/";
	
	/* Conf REST */
	$serverID = "001";
	$config['ServersRest-'.$serverID]['serverID'] = $serverID;
	$config['ServersRest-'.$serverID]['serverName'] = $_SERVER['HTTP_HOST'];
	$config['ServersRest-'.$serverID]['serverDescription'] = 'Expresso - ' . $_SERVER['HTTP_HOST'];
	$config['ServersRest-'.$serverID]['serverUrl'] = 'http://' . $_SERVER['HTTP_HOST'];
	$config['ServersRest-'.$serverID]['serverContext'] = $webserver_url .'rest/';
	$config['ServersRest-'.$serverID]['serverStatus'] = 'true';
	
	$path = __DIR__ . '/../../prototype/config/REST.ini';

	$content = "";

	foreach( $config as $key => $value )
	{
		if(is_array($value))
		{
			$content .= "[".$key."]\n";
			
			foreach( $value as $ikey => $ivalue )
				$content .= $ikey ."=". $ivalue . "\n";
		}
		else
		{
			$content .= $key . "=" . $value . "\n";				
		}
	}

	file_put_contents($path, $content);

?>